/*
 * DataFileNotFoundExceptionTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

import jp.co.cybec.cb3.exception.DataFileNotFoundException;
import junit.framework.Assert;
import org.junit.Test;

/**
 * DataFileNotFoundExceptionのテストケース。
 * @author Naoko Sugimoto
 */
public class DataFileNotFoundExceptionTest {

	/**
	 * {@link jp.co.cybec.cb3.exception.DataFileNotFoundException#DataFileNotFoundException(java.lang.Exception)} のためのテスト・メソッド。
	 */
	@Test
	public void testConstructorWithException() {
		// 元になる例外を生成。
		String causeMessage = "XXXXに失敗しました。";
		Exception causeException = new Exception(causeMessage);

		// DataFileNotFoundExceptionを生成。
		DataFileNotFoundException newException = new DataFileNotFoundException(causeException);

		// 元になった例外を保持していることを確認。
		Assert.assertSame(causeException, newException.getCause());
		// メッセージ内容を確認。
		Assert.assertEquals(0, newException.getMessage().indexOf(causeMessage));
	}

	/**
	 * {@link jp.co.cybec.cb3.exception.DataFileNotFoundException#DataFileNotFoundException(java.lang.String)} のためのテスト・メソッド。
	 */
	@Test
	public void testConstructorWithString() {
		String message = "XXXXに失敗しました。";

		// DataFileNotFoundExceptionを生成。
		DataFileNotFoundException newException = new DataFileNotFoundException(message);

		// メッセージ内容を確認。
		Assert.assertEquals(message, newException.getMessage());
	}

	/**
	 * {@link jp.co.cybec.cb3.exception.DataFileNotFoundException#DataFileNotFoundException(java.lang.String, java.lang.Exception)} のためのテスト・メソッド。
	 */
	@Test
	public void testConstructorWithStringAndException() {
		// 元になる例外を生成。
		String causeMessage = "XXXXに失敗しました。";
		Exception causeException = new Exception(causeMessage);
		// 新しく追加するメッセージ。
		String newMessage = "YYYYの処理中に例外が発生しました。";

		// DataFileNotFoundExceptionを生成。
		DataFileNotFoundException newException = new DataFileNotFoundException(newMessage, causeException);

		// 元になった例外を保持していることを確認。
		Assert.assertSame(causeException, newException.getCause());
		// メッセージ内容を確認。
		Assert.assertEquals(0, newException.getMessage().indexOf(newMessage));
	}

}
